( function( $ ) {
	// Responsive videos
	var all_videos = $( '.entry-content' ).find( 'iframe[src*="player.vimeo.com"], iframe[src*="youtube.com"], iframe[src*="youtube-nocookie.com"], iframe[src*="dailymotion.com"],iframe[src*="kickstarter.com"][src*="video.html"], object, embed' ),
		container = $( '#boxes' );

	all_videos = all_videos.not( 'object object' );

	all_videos.each( function() {
		var video = $(this);

		if ( video.parents( 'object' ).length ) {
			return;
		}

		if ( ! video.prop( 'id' ) ) {
			video.attr( 'id', 'rvw' + Math.floor( Math.random() * 999999 ) );
		}

		video
			.wrap( '<div class="responsive-video-wrapper" style="padding-top: ' + ( video.attr( 'height' ) / video.attr( 'width' ) * 100 ) + '%" />' )
			.removeAttr( 'height' )
			.removeAttr( 'width' );
	} );

	// Masonry
	if ( theme_js_vars['loader'] ) {
		container.imagesLoaded( function() {
			container.masonry().css( 'visibility', 'visible' );
		} );
	}

	// Mobile menu
	$( '#mobile-menu' ).on( 'click', 'a', function() {
		if ( $(this).hasClass( 'left-menu' ) ) {
			$( 'body' ).toggleClass( 'left-menu-open' );
		} else if ( $(this).hasClass( 'mobile-search' ) ) {
			$( '#drop-down-search' ).slideToggle( 'fast' );
		}
	} );

	$( '#site-navigation' ).on( 'click', '.sub-menu-parent > a', function(e) {
		e.preventDefault();
		$(this).toggleClass( 'open' ).parent().find( '.sub-menu:first' ).slideToggle();
	} );

	// Image anchor
	$( 'a:has(img)' ).addClass('image-anchor');

	$( 'a[href="#"]' ).click( function(e) {
		e.preventDefault();
	});
} )( jQuery );